const ServiceModule = require('../modules/ServiceModule');

(async () => {
    console.log("⏳ در حال استخراج قیمت‌ها...");
    const result = await ServiceModule.syncTgjuMarket();
    
    console.log("----------------------------");
    if (result) {
        // استفاده از JSON.stringify برای اینکه کل آبجکت رو قشنگ توی ترمینال ببینی
        console.log(JSON.stringify(result, null, 2)); 
        console.log("----------------------------");
        console.log(`✅ تعداد آیتم‌های یافت شده: ${Object.keys(result).length}`);
    } else {
        console.log("❌ هیچ دیتایی دریافت نشد.");
    }
    console.log("----------------------------");
    process.exit();
})();